﻿Imports C1.Win.C1Gauge

Public Class GaugeStyling
    Dim c1GaugeValueColor1 As New C1.Win.C1Gauge.C1GaugeValueColor()
    Dim c1GaugeValueColor2 As New C1.Win.C1Gauge.C1GaugeValueColor()
    Dim C1GaugeRectangle1 As C1.Win.C1Gauge.C1GaugeRectangle = New C1.Win.C1Gauge.C1GaugeRectangle()
    Dim C1GaugeRectangle2 As C1.Win.C1Gauge.C1GaugeRectangle = New C1.Win.C1Gauge.C1GaugeRectangle()

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        AddHandler CB_BigMarkColor.SelectedIndexChanged, AddressOf CB_BigMarkColor_SelectedIndexChanged
        AddHandler CB_BorderCol.SelectedIndexChanged, AddressOf CB_BorderCol_SelectedIndexChanged
        AddHandler CB_PointerCol.SelectedIndexChanged, AddressOf CB_PointerCol_SelectedIndexChanged
        AddHandler CB_SmallMarkColor.SelectedIndexChanged, AddressOf CB_SmallMarkColor_SelectedIndexChanged
        AddHandler CB_BackCol.SelectedIndexChanged, AddressOf CB_BackCol_SelectedIndexChanged

        'Large markings
        C1LinearGauge1.Decorators.Item(1).ValueColors.Add(c1GaugeValueColor1)
        C1LinearGauge1.Decorators.Item(1).ValueColors(0).Value = 100
        c1GaugeValueColor1.Color = Color.Black

        'Small markings
        C1LinearGauge1.Decorators.Item(2).ValueColors.Add(c1GaugeValueColor2)
        C1LinearGauge1.Decorators.Item(2).ValueColors(0).Value = 100
        c1GaugeValueColor2.Color = Color.Red

        'Border
        C1GaugeRectangle1.Border.Color = System.Drawing.Color.Gray
        C1GaugeRectangle1.Border.Thickness = 1.0R
        C1GaugeRectangle1.CenterPointX = 0.525R
        C1GaugeRectangle1.CornerRadius = 10.0R
        C1GaugeRectangle1.Height = -1.1R
        C1GaugeRectangle1.HitTestable = False
        C1GaugeRectangle1.Width = -1.2R
        C1GaugeRectangle1.Filling.BrushType = C1.Win.C1Gauge.C1GaugeBrushType.Gradient
        C1GaugeRectangle1.Gradient.Direction = C1.Win.C1Gauge.C1GaugeGradientDirection.Vertical
        C1GaugeRectangle1.Filling.Color = Color.Gray
        C1GaugeRectangle1.Filling.Color2 = Color.Gray

        'Inner Rectangle
        C1GaugeRectangle2.Filling.BrushType = C1.Win.C1Gauge.C1GaugeBrushType.Gradient
        C1GaugeRectangle2.Border.Color = Color.Yellow
        C1GaugeRectangle2.Filling.Color = Color.Yellow
        C1GaugeRectangle2.Filling.Color2 = Color.Yellow
        C1GaugeRectangle2.Border.Thickness = 1.0R
        C1GaugeRectangle2.CenterPointX = 0.525R
        C1GaugeRectangle2.CornerRadius = 8.0R
        C1GaugeRectangle2.Height = -0.95R
        C1GaugeRectangle2.HitTestable = False
        C1GaugeRectangle2.Width = -1.15R

        'Adding the Rectangles
        Me.C1LinearGauge1.FaceShapes.AddRange(New C1.Win.C1Gauge.C1GaugeBaseShape() {C1GaugeRectangle1, C1GaugeRectangle2})


        'Populate ComboBox with Colors
        For Each prop As System.Reflection.PropertyInfo In GetType(Color).GetProperties()
            If prop.PropertyType.FullName = "System.Drawing.Color" Then
                CB_BigMarkColor.Items.Add(prop.Name)
                CB_BorderCol.Items.Add(prop.Name)
                CB_PointerCol.Items.Add(prop.Name)
                CB_SmallMarkColor.Items.Add(prop.Name)
                CB_BackCol.Items.Add(prop.Name)
            End If
        Next


    End Sub

    Private Sub CB_BigMarkColor_SelectedIndexChanged(sender As Object, e As EventArgs)
        'Changing the Color of the Big Markings
        Dim str As String = CB_BigMarkColor.SelectedItem.ToString()
        c1GaugeValueColor1.Color = Color.FromName(str)
    End Sub

    Private Sub CB_BorderCol_SelectedIndexChanged(sender As Object, e As EventArgs)
        'Changing the Background color
        Dim str As String = CB_BorderCol.SelectedItem.ToString()
        C1GaugeRectangle1.Filling.Color = Color.FromName(str)
        C1GaugeRectangle1.Filling.Color2 = Color.FromName(str)
        C1GaugeRectangle1.Border.Color = Color.FromName(str)
    End Sub

    Private Sub CB_PointerCol_SelectedIndexChanged(sender As Object, e As EventArgs)
        'Changing the Pointer Color
        Dim str As String = CB_PointerCol.SelectedItem.ToString()
        C1LinearGauge1.Pointer.Filling.Color = Color.FromName(str)
    End Sub

    Private Sub CB_SmallMarkColor_SelectedIndexChanged(sender As Object, e As EventArgs)
        'Changing the Color of the Small Markings
        Dim str As String = CB_SmallMarkColor.SelectedItem.ToString()
        c1GaugeValueColor2.Color = Color.FromName(str)
    End Sub

    Private Sub CB_BackCol_SelectedIndexChanged(sender As Object, e As EventArgs)
        'Changing the Color of the Border
        Dim str As String = CB_BackCol.SelectedItem.ToString()
        C1GaugeRectangle2.Border.Color = Color.FromName(str)
        C1GaugeRectangle2.Filling.Color = Color.FromName(str)
        C1GaugeRectangle2.Filling.Color2 = Color.FromName(str)
    End Sub

End Class
